package keystash.gui;

import java.awt.Dimension;
import java.awt.Point;
import java.awt.Toolkit;
import static keystash.KeyStashGUI.aboutFrame;
import static keystash.KeyStashGUI.aboutOkButton;
import static keystash.KeyStashGUI.aboutScrollPane;

public class About {

    public static void openFrame() {

        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Point middle = new Point(screenSize.width / 2, screenSize.height / 2);
        Point newLocation = new Point(middle.x - (520 / 2),
                middle.y - (410 / 2));
        aboutFrame.setLocation(newLocation);
        aboutOkButton.requestFocus();
        aboutScrollPane.putClientProperty("JTable.cutCopyAllowed", true);
        aboutFrame.setVisible(true);

    }

    public static void closeFrame() {

        aboutFrame.setVisible(false);
        aboutFrame.dispose();

    }

}
